Index: uspace/lib/http/include/http/errno.h
===================================================================
--- uspace/lib/http/include/http/errno.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
+++ uspace/lib/http/include/http/errno.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -0,0 +1,48 @@
+/*
+ * Copyright (c) 2013 Martin Sucha
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup http
+ * @{
+ */
+/**
+ * @file
+ */
+
+#ifndef HTTP_ERRNO_H_
+#define HTTP_ERRNO_H_
+
+#include <errno.h>
+
+#define HTTP_EMULTIPLE_HEADERS -20001
+#define HTTP_EMISSING_HEADER -20002
+#define HTTP_EPARSE -20003
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/http/include/http/http.h
===================================================================
--- uspace/lib/http/include/http/http.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/include/http/http.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -84,12 +84,12 @@
 
 extern http_t *http_create(const char *, uint16_t);
-extern errno_t http_connect(http_t *);
+extern int http_connect(http_t *);
 
 extern void http_header_init(http_header_t *);
 extern http_header_t *http_header_create(const char *, const char *);
-extern errno_t http_header_receive_name(receive_buffer_t *, receive_buffer_mark_t *);
-extern errno_t http_header_receive_value(receive_buffer_t *, receive_buffer_mark_t *,
+extern int http_header_receive_name(receive_buffer_t *, receive_buffer_mark_t *);
+extern int http_header_receive_value(receive_buffer_t *, receive_buffer_mark_t *,
     receive_buffer_mark_t *);
-extern errno_t http_header_receive(receive_buffer_t *, http_header_t *, size_t,
+extern int http_header_receive(receive_buffer_t *, http_header_t *, size_t,
     size_t *);
 extern void http_header_normalize_value(char *);
@@ -99,10 +99,10 @@
 
 extern void http_headers_init(http_headers_t *);
-extern errno_t http_headers_find_single(http_headers_t *, const char *,
+extern int http_headers_find_single(http_headers_t *, const char *,
     http_header_t **);
-extern errno_t http_headers_append(http_headers_t *, const char *, const char *);
-extern errno_t http_headers_set(http_headers_t *, const char *, const char *);
-extern errno_t http_headers_get(http_headers_t *, const char *, char **);
-extern errno_t http_headers_receive(receive_buffer_t *, http_headers_t *, size_t,
+extern int http_headers_append(http_headers_t *, const char *, const char *);
+extern int http_headers_set(http_headers_t *, const char *, const char *);
+extern int http_headers_get(http_headers_t *, const char *, char **);
+extern int http_headers_receive(receive_buffer_t *, http_headers_t *, size_t,
     unsigned);
 extern void http_headers_clear(http_headers_t *);
@@ -125,12 +125,12 @@
 extern http_request_t *http_request_create(const char *, const char *);
 extern void http_request_destroy(http_request_t *);
-extern errno_t http_request_format(http_request_t *, char **, size_t *);
-extern errno_t http_send_request(http_t *, http_request_t *);
-extern errno_t http_receive_status(receive_buffer_t *, http_version_t *, uint16_t *,
+extern int http_request_format(http_request_t *, char **, size_t *);
+extern int http_send_request(http_t *, http_request_t *);
+extern int http_receive_status(receive_buffer_t *, http_version_t *, uint16_t *,
     char **);
-extern errno_t http_receive_response(receive_buffer_t *, http_response_t **,
+extern int http_receive_response(receive_buffer_t *, http_response_t **,
     size_t, unsigned);
 extern void http_response_destroy(http_response_t *);
-extern errno_t http_close(http_t *);
+extern int http_close(http_t *);
 extern void http_destroy(http_t *);
 
Index: uspace/lib/http/include/http/receive-buffer.h
===================================================================
--- uspace/lib/http/include/http/receive-buffer.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/include/http/receive-buffer.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,7 +47,7 @@
  * @param buf_size buffer size
  * @param nrecv number of bytes actually received
- * @return EOK on success or an error code
+ * @return EOK on success or error code
  */
-typedef errno_t (*receive_func_t)(void *, void *, size_t, size_t *);
+typedef int (*receive_func_t)(void *, void *, size_t, size_t *);
 
 typedef struct {
@@ -70,6 +70,6 @@
 typedef bool (*char_class_func_t)(char);
 
-extern errno_t recv_buffer_init(receive_buffer_t *, size_t, receive_func_t, void *);
-extern errno_t recv_buffer_init_const(receive_buffer_t *, void *, size_t);
+extern int recv_buffer_init(receive_buffer_t *, size_t, receive_func_t, void *);
+extern int recv_buffer_init_const(receive_buffer_t *, void *, size_t);
 extern void recv_buffer_fini(receive_buffer_t *);
 extern void recv_reset(receive_buffer_t *);
@@ -77,15 +77,15 @@
 extern void recv_unmark(receive_buffer_t *, receive_buffer_mark_t *);
 extern void recv_mark_update(receive_buffer_t *, receive_buffer_mark_t *);
-extern errno_t recv_cut(receive_buffer_t *, receive_buffer_mark_t *,
+extern int recv_cut(receive_buffer_t *, receive_buffer_mark_t *,
     receive_buffer_mark_t *, void **, size_t *);
-extern errno_t recv_cut_str(receive_buffer_t *, receive_buffer_mark_t *,
+extern int recv_cut_str(receive_buffer_t *, receive_buffer_mark_t *,
     receive_buffer_mark_t *, char **);
-extern errno_t recv_char(receive_buffer_t *, char *, bool);
-extern errno_t recv_buffer(receive_buffer_t *, char *, size_t, size_t *);
-extern errno_t recv_discard(receive_buffer_t *, char, size_t *);
-extern errno_t recv_discard_str(receive_buffer_t *, const char *, size_t *);
-extern errno_t recv_while(receive_buffer_t *, char_class_func_t);
-extern errno_t recv_eol(receive_buffer_t *, size_t *);
-extern errno_t recv_line(receive_buffer_t *, char *, size_t, size_t *);
+extern int recv_char(receive_buffer_t *, char *, bool);
+extern int recv_buffer(receive_buffer_t *, char *, size_t, size_t *);
+extern int recv_discard(receive_buffer_t *, char, size_t *);
+extern int recv_discard_str(receive_buffer_t *, const char *, size_t *);
+extern int recv_while(receive_buffer_t *, char_class_func_t);
+extern int recv_eol(receive_buffer_t *, size_t *);
+extern int recv_line(receive_buffer_t *, char *, size_t, size_t *);
 
 #endif
Index: uspace/lib/http/src/headers.c
===================================================================
--- uspace/lib/http/src/headers.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/src/headers.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -34,5 +34,4 @@
  */
 
-#include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -42,4 +41,5 @@
 #include <http/http.h>
 #include <http/ctype.h>
+#include <http/errno.h>
 
 #define HTTP_HEADER_LINE "%s: %s\r\n"
@@ -94,5 +94,5 @@
 }
 
-errno_t http_header_receive_name(receive_buffer_t *rb,
+int http_header_receive_name(receive_buffer_t *rb,
     receive_buffer_mark_t *name_end)
 {
@@ -102,5 +102,5 @@
 			recv_mark_update(rb, name_end);
 		
-		errno_t rc = recv_char(rb, &c, true);
+		int rc = recv_char(rb, &c, true);
 		if (rc != EOK)
 			return rc;
@@ -113,8 +113,8 @@
 }
 
-errno_t http_header_receive_value(receive_buffer_t *rb,
+int http_header_receive_value(receive_buffer_t *rb,
     receive_buffer_mark_t *value_start, receive_buffer_mark_t *value_end)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	char c = 0;
 	
@@ -167,5 +167,5 @@
 }
 
-errno_t http_header_receive(receive_buffer_t *rb, http_header_t *header,
+int http_header_receive(receive_buffer_t *rb, http_header_t *header,
     size_t size_limit, size_t *out_bytes_used)
 {
@@ -176,5 +176,5 @@
 	recv_mark(rb, &mark_end);
 	
-	errno_t rc = http_header_receive_name(rb, &mark_end);
+	int rc = http_header_receive_name(rb, &mark_end);
 	if (rc != EOK)
 		goto end;
@@ -259,5 +259,5 @@
 }
 
-errno_t http_headers_find_single(http_headers_t *headers, const char *name,
+int http_headers_find_single(http_headers_t *headers, const char *name,
     http_header_t **out_header)
 {
@@ -282,5 +282,5 @@
 }
 
-errno_t http_headers_append(http_headers_t *headers, const char *name,
+int http_headers_append(http_headers_t *headers, const char *name,
     const char *value)
 {
@@ -293,9 +293,9 @@
 }
 
-errno_t http_headers_set(http_headers_t *headers, const char *name,
+int http_headers_set(http_headers_t *headers, const char *name,
     const char *value)
 {
 	http_header_t *header = NULL;
-	errno_t rc = http_headers_find_single(headers, name, &header);
+	int rc = http_headers_find_single(headers, name, &header);
 	if (rc != EOK && rc != HTTP_EMISSING_HEADER)
 		return rc;
@@ -313,8 +313,8 @@
 }
 
-errno_t http_headers_get(http_headers_t *headers, const char *name, char **value)
+int http_headers_get(http_headers_t *headers, const char *name, char **value)
 {
 	http_header_t *header = NULL;
-	errno_t rc = http_headers_find_single(headers, name, &header);
+	int rc = http_headers_find_single(headers, name, &header);
 	if (rc != EOK)
 		return rc;
@@ -324,8 +324,8 @@
 }
 
-errno_t http_headers_receive(receive_buffer_t *rb, http_headers_t *headers,
+int http_headers_receive(receive_buffer_t *rb, http_headers_t *headers,
     size_t limit_alloc, unsigned limit_count)
 {
-	errno_t rc = EOK;
+	int rc = EOK;
 	unsigned added = 0;
 	
Index: uspace/lib/http/src/http.c
===================================================================
--- uspace/lib/http/src/http.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/src/http.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 #include <http/receive-buffer.h>
 
-static errno_t http_receive(void *client_data, void *buf, size_t buf_size,
+static int http_receive(void *client_data, void *buf, size_t buf_size,
     size_t *nrecv)
 {
@@ -69,5 +69,5 @@
 	
 	http->buffer_size = 4096;
-	errno_t rc = recv_buffer_init(&http->recv_buffer, http->buffer_size,
+	int rc = recv_buffer_init(&http->recv_buffer, http->buffer_size,
 	    http_receive, http);
 	if (rc != EOK) {
@@ -79,10 +79,10 @@
 }
 
-errno_t http_connect(http_t *http)
+int http_connect(http_t *http)
 {
 	if (http->conn != NULL)
 		return EBUSY;
 	
-	errno_t rc = inet_host_plookup_one(http->host, ip_any, &http->addr, NULL,
+	int rc = inet_host_plookup_one(http->host, ip_any, &http->addr, NULL,
 	    NULL);
 	if (rc != EOK)
@@ -110,5 +110,5 @@
 }
 
-errno_t http_close(http_t *http)
+int http_close(http_t *http)
 {
 	if (http->conn == NULL)
Index: uspace/lib/http/src/receive-buffer.c
===================================================================
--- uspace/lib/http/src/receive-buffer.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/src/receive-buffer.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,5 +43,5 @@
 #include <http/receive-buffer.h>
 
-errno_t recv_buffer_init(receive_buffer_t *rb, size_t buffer_size,
+int recv_buffer_init(receive_buffer_t *rb, size_t buffer_size,
     receive_func_t receive, void *client_data)
 {
@@ -61,5 +61,5 @@
 }
 
-static errno_t dummy_receive(void *unused, void *buf, size_t buf_size,
+static int dummy_receive(void *unused, void *buf, size_t buf_size,
     size_t *nrecv)
 {
@@ -68,7 +68,7 @@
 }
 
-errno_t recv_buffer_init_const(receive_buffer_t *rb, void *buf, size_t size)
-{
-	errno_t rc = recv_buffer_init(rb, size, dummy_receive, NULL);
+int recv_buffer_init_const(receive_buffer_t *rb, void *buf, size_t size)
+{
+	int rc = recv_buffer_init(rb, size, dummy_receive, NULL);
 	if (rc != EOK)
 		return rc;
@@ -107,5 +107,5 @@
 }
 
-errno_t recv_cut(receive_buffer_t *rb, receive_buffer_mark_t *a, receive_buffer_mark_t *b, void **out_buf, size_t *out_size)
+int recv_cut(receive_buffer_t *rb, receive_buffer_mark_t *a, receive_buffer_mark_t *b, void **out_buf, size_t *out_size)
 {
 	if (a->offset > b->offset)
@@ -123,5 +123,5 @@
 }
 
-errno_t recv_cut_str(receive_buffer_t *rb, receive_buffer_mark_t *a, receive_buffer_mark_t *b, char **out_buf)
+int recv_cut_str(receive_buffer_t *rb, receive_buffer_mark_t *a, receive_buffer_mark_t *b, char **out_buf)
 {
 	if (a->offset > b->offset)
@@ -147,5 +147,5 @@
 
 /** Receive one character (with buffering) */
-errno_t recv_char(receive_buffer_t *rb, char *c, bool consume)
+int recv_char(receive_buffer_t *rb, char *c, bool consume)
 {
 	if (rb->out == rb->in) {
@@ -170,5 +170,5 @@
 		
 		size_t nrecv;
-		errno_t rc = rb->receive(rb->client_data, rb->buffer + rb->in, free, &nrecv);
+		int rc = rb->receive(rb->client_data, rb->buffer + rb->in, free, &nrecv);
 		if (rc != EOK)
 			return rc;
@@ -183,5 +183,5 @@
 }
 
-errno_t recv_buffer(receive_buffer_t *rb, char *buf, size_t buf_size,
+int recv_buffer(receive_buffer_t *rb, char *buf, size_t buf_size,
     size_t *nrecv)
 {
@@ -200,10 +200,10 @@
 /** Receive a character and if it is c, discard it from input buffer
  * @param ndisc Place to store number of characters discarded
- * @return EOK or an error code
- */
-errno_t recv_discard(receive_buffer_t *rb, char discard, size_t *ndisc)
+ * @return EOK or error code
+ */
+int recv_discard(receive_buffer_t *rb, char discard, size_t *ndisc)
 {
 	char c = 0;
-	errno_t rc = recv_char(rb, &c, false);
+	int rc = recv_char(rb, &c, false);
 	if (rc != EOK)
 		return rc;
@@ -221,12 +221,12 @@
 /** Receive a prefix of constant string discard and return number of bytes read
  * @param ndisc Place to store number of characters discarded
- * @return EOK or an error code
- */
-errno_t recv_discard_str(receive_buffer_t *rb, const char *discard, size_t *ndisc)
+ * @return EOK or error code
+ */
+int recv_discard_str(receive_buffer_t *rb, const char *discard, size_t *ndisc)
 {
 	size_t discarded = 0;
 	while (*discard) {
 		size_t nd;
-		errno_t rc = recv_discard(rb, *discard, &nd);
+		int rc = recv_discard(rb, *discard, &nd);
 		if (rc != EOK)
 			return rc;
@@ -241,9 +241,9 @@
 }
 
-errno_t recv_while(receive_buffer_t *rb, char_class_func_t class)
+int recv_while(receive_buffer_t *rb, char_class_func_t class)
 {
 	while (true) {
 		char c = 0;
-		errno_t rc = recv_char(rb, &c, false);
+		int rc = recv_char(rb, &c, false);
 		if (rc != EOK)
 			return rc;
@@ -264,10 +264,10 @@
  * @param nrecv Place to store number of bytes received (zero if
  *              no newline is present in the stream)
- * @return EOK on success or an error code
- */
-errno_t recv_eol(receive_buffer_t *rb, size_t *nrecv)
+ * @return EOK on success or error code
+ */
+int recv_eol(receive_buffer_t *rb, size_t *nrecv)
 {
 	char c = 0;
-	errno_t rc = recv_char(rb, &c, false);
+	int rc = recv_char(rb, &c, false);
 	if (rc != EOK)
 		return rc;
@@ -292,5 +292,5 @@
 
 /* Receive a single line */
-errno_t recv_line(receive_buffer_t *rb, char *line, size_t size, size_t *nrecv)
+int recv_line(receive_buffer_t *rb, char *line, size_t size, size_t *nrecv)
 {
 	size_t written = 0;
@@ -299,5 +299,5 @@
 	while (written < size) {
 		char c = 0;
-		errno_t rc = recv_char(rb, &c, true);
+		int rc = recv_char(rb, &c, true);
 		if (rc != EOK)
 			return rc;
Index: uspace/lib/http/src/request.c
===================================================================
--- uspace/lib/http/src/request.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/src/request.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -90,5 +90,5 @@
 }
 
-errno_t http_request_format(http_request_t *req, char **out_buf,
+int http_request_format(http_request_t *req, char **out_buf,
     size_t *out_buf_size)
 {
@@ -96,5 +96,5 @@
 	ssize_t meth_size = http_encode_method(NULL, 0, req->method, req->path);
 	if (meth_size < 0)
-		return EINVAL;
+		return meth_size;
 	size_t size = meth_size;
 	
@@ -102,5 +102,5 @@
 		ssize_t header_size = http_header_encode(header, NULL, 0);
 		if (header_size < 0)
-			return EINVAL;
+			return header_size;
 		size += header_size;
 	}
@@ -116,5 +116,5 @@
 	if (written < 0) {
 		free(buf);
-		return EINVAL;
+		return written;
 	}
 	pos += written;
@@ -125,5 +125,5 @@
 		if (written < 0) {
 			free(buf);
-			return EINVAL;
+			return written;
 		}
 		pos += written;
@@ -141,10 +141,10 @@
 }
 
-errno_t http_send_request(http_t *http, http_request_t *req)
+int http_send_request(http_t *http, http_request_t *req)
 {
 	char *buf = NULL;
 	size_t buf_size = 0;
 	
-	errno_t rc = http_request_format(req, &buf, &buf_size);
+	int rc = http_request_format(req, &buf, &buf_size);
 	if (rc != EOK)
 		return rc;
Index: uspace/lib/http/src/response.c
===================================================================
--- uspace/lib/http/src/response.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/http/src/response.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -34,5 +34,4 @@
  */
 
-#include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -41,4 +40,5 @@
 
 #include <http/http.h>
+#include <http/errno.h>
 
 static bool is_digit(char c)
@@ -47,5 +47,5 @@
 }
 
-static errno_t receive_number(receive_buffer_t *rb, char **str)
+static int receive_number(receive_buffer_t *rb, char **str)
 {
 	receive_buffer_mark_t start;
@@ -53,6 +53,6 @@
 	
 	recv_mark(rb, &start);
-	errno_t rc = recv_while(rb, is_digit);
-	if (rc != EOK) {
+	int rc = recv_while(rb, is_digit);
+	if (rc < 0) {
 		recv_unmark(rb, &start);
 		return rc;
@@ -66,8 +66,8 @@
 }
 
-static errno_t receive_uint8_t(receive_buffer_t *rb, uint8_t *out_value)
+static int receive_uint8_t(receive_buffer_t *rb, uint8_t *out_value)
 {
 	char *str = NULL;
-	errno_t rc = receive_number(rb, &str);
+	int rc = receive_number(rb, &str);
 	
 	if (rc != EOK)
@@ -80,8 +80,8 @@
 }
 
-static errno_t receive_uint16_t(receive_buffer_t *rb, uint16_t *out_value)
+static int receive_uint16_t(receive_buffer_t *rb, uint16_t *out_value)
 {
 	char *str = NULL;
-	errno_t rc = receive_number(rb, &str);
+	int rc = receive_number(rb, &str);
 	
 	if (rc != EOK)
@@ -94,8 +94,8 @@
 }
 
-static errno_t expect(receive_buffer_t *rb, const char *expect)
+static int expect(receive_buffer_t *rb, const char *expect)
 {
 	size_t ndisc;
-	errno_t rc = recv_discard_str(rb, expect, &ndisc);
+	int rc = recv_discard_str(rb, expect, &ndisc);
 	if (rc != EOK)
 		return rc;
@@ -110,5 +110,5 @@
 }
 
-errno_t http_receive_status(receive_buffer_t *rb, http_version_t *out_version,
+int http_receive_status(receive_buffer_t *rb, http_version_t *out_version,
     uint16_t *out_status, char **out_message)
 {
@@ -117,5 +117,5 @@
 	char *message = NULL;
 	
-	errno_t rc = expect(rb, "HTTP/");
+	int rc = expect(rb, "HTTP/");
 	if (rc != EOK)
 		return rc;
@@ -149,5 +149,5 @@
 	
 	rc = recv_while(rb, is_not_newline);
-	if (rc != EOK) {
+	if (rc < 0) {
 		recv_unmark(rb, &msg_start);
 		return rc;
@@ -187,5 +187,5 @@
 }
 
-errno_t http_receive_response(receive_buffer_t *rb, http_response_t **out_response,
+int http_receive_response(receive_buffer_t *rb, http_response_t **out_response,
     size_t max_headers_size, unsigned max_headers_count)
 {
@@ -196,5 +196,5 @@
 	http_headers_init(&resp->headers);
 	
-	errno_t rc = http_receive_status(rb, &resp->version, &resp->status,
+	int rc = http_receive_status(rb, &resp->version, &resp->status,
 	    &resp->message);
 	if (rc != EOK)
Index: uspace/lib/ieee80211/include/ieee80211.h
===================================================================
--- uspace/lib/ieee80211/include/ieee80211.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/include/ieee80211.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -103,8 +103,8 @@
 	 * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*start)(struct ieee80211_dev *);
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*start)(struct ieee80211_dev *);
 	
 	/** Scan neighborhood for networks.
@@ -115,8 +115,8 @@
 	 * @param ieee80211_dev Pointer to IEEE 802.11 device structure.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*scan)(struct ieee80211_dev *);
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*scan)(struct ieee80211_dev *);
 	
 	/** Handler for TX frames to be send from device.
@@ -129,8 +129,8 @@
 	 * @param buffer_size   Size of buffer.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*tx_handler)(struct ieee80211_dev *, void *, size_t);
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*tx_handler)(struct ieee80211_dev *, void *, size_t);
 	
 	/** Set device operating frequency to given value.
@@ -139,8 +139,8 @@
 	 * @param freq          New device operating frequency.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*set_freq)(struct ieee80211_dev *, uint16_t);
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*set_freq)(struct ieee80211_dev *, uint16_t);
 	
 	/** Callback to inform device about BSSID change.
@@ -149,8 +149,8 @@
 	 * @param connected     True if connected to new BSSID, otherwise false.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*bssid_change)(struct ieee80211_dev *, bool);
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*bssid_change)(struct ieee80211_dev *, bool);
 	
 	/** Callback to setup encryption key in IEEE 802.11 device.
@@ -161,8 +161,8 @@
 	 *                      false to remove it.
 	 *
-	 * @return EOK if succeed, error code otherwise.
-	 *
-	 */
-	errno_t (*key_config)(struct ieee80211_dev *,
+	 * @return EOK if succeed, negative error code otherwise.
+	 *
+	 */
+	int (*key_config)(struct ieee80211_dev *,
 	    ieee80211_key_config_t *key_conf, bool);
 } ieee80211_ops_t;
@@ -170,6 +170,6 @@
 /* Initialization functions. */
 extern ieee80211_dev_t *ieee80211_device_create(void);
-extern errno_t ieee80211_device_init(ieee80211_dev_t *, ddf_dev_t *);
-extern errno_t ieee80211_init(ieee80211_dev_t *, ieee80211_ops_t *,
+extern int ieee80211_device_init(ieee80211_dev_t *, ddf_dev_t *);
+extern int ieee80211_init(ieee80211_dev_t *, ieee80211_ops_t *,
     ieee80211_iface_t *, nic_iface_t *, ddf_dev_ops_t *);
 
@@ -201,5 +201,5 @@
 
 /* Worker functions. */
-extern errno_t ieee80211_rx_handler(ieee80211_dev_t *, void *, size_t);
+extern int ieee80211_rx_handler(ieee80211_dev_t *, void *, size_t);
 
 #endif
Index: uspace/lib/ieee80211/include/ieee80211_iface_impl.h
===================================================================
--- uspace/lib/ieee80211/include/ieee80211_iface_impl.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/include/ieee80211_iface_impl.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,8 +43,8 @@
 #include "ieee80211.h"
 
-extern errno_t ieee80211_get_scan_results_impl(ddf_fun_t *,
+extern int ieee80211_get_scan_results_impl(ddf_fun_t *,
     ieee80211_scan_results_t *, bool);
-extern errno_t ieee80211_connect_impl(ddf_fun_t *, char *, char *);
-extern errno_t ieee80211_disconnect_impl(ddf_fun_t *);
+extern int ieee80211_connect_impl(ddf_fun_t *, char *, char *);
+extern int ieee80211_disconnect_impl(ddf_fun_t *);
 
 #endif  /* LIB_IEEE80211_IFACE_IMPL_H */
Index: uspace/lib/ieee80211/include/ieee80211_impl.h
===================================================================
--- uspace/lib/ieee80211/include/ieee80211_impl.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/include/ieee80211_impl.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,20 +42,20 @@
 #include "ieee80211_private.h"
 
-extern errno_t ieee80211_start_impl(ieee80211_dev_t *);
-extern errno_t ieee80211_tx_handler_impl(ieee80211_dev_t *, void *, size_t);
-extern errno_t ieee80211_set_freq_impl(ieee80211_dev_t *, uint16_t);
-extern errno_t ieee80211_bssid_change_impl(ieee80211_dev_t *, bool);
-extern errno_t ieee80211_key_config_impl(ieee80211_dev_t *,
+extern int ieee80211_start_impl(ieee80211_dev_t *);
+extern int ieee80211_tx_handler_impl(ieee80211_dev_t *, void *, size_t);
+extern int ieee80211_set_freq_impl(ieee80211_dev_t *, uint16_t);
+extern int ieee80211_bssid_change_impl(ieee80211_dev_t *, bool);
+extern int ieee80211_key_config_impl(ieee80211_dev_t *,
     ieee80211_key_config_t *, bool);
-extern errno_t ieee80211_scan_impl(ieee80211_dev_t *);
-extern errno_t ieee80211_prf(uint8_t *, uint8_t *, uint8_t *, size_t);
-extern errno_t ieee80211_rc4_key_unwrap(uint8_t *, uint8_t *, size_t, uint8_t *);
-extern errno_t ieee80211_aes_key_unwrap(uint8_t *, uint8_t *, size_t, uint8_t *);
-extern errno_t ieee80211_michael_mic(uint8_t *, uint8_t *, size_t, uint8_t *);
+extern int ieee80211_scan_impl(ieee80211_dev_t *);
+extern int ieee80211_prf(uint8_t *, uint8_t *, uint8_t *, size_t);
+extern int ieee80211_rc4_key_unwrap(uint8_t *, uint8_t *, size_t, uint8_t *);
+extern int ieee80211_aes_key_unwrap(uint8_t *, uint8_t *, size_t, uint8_t *);
+extern int ieee80211_michael_mic(uint8_t *, uint8_t *, size_t, uint8_t *);
 extern uint16_t uint16le_from_seq(void *);
 extern uint32_t uint32le_from_seq(void *);
 extern uint16_t uint16be_from_seq(void *);
 extern uint32_t uint32be_from_seq(void *);
-extern errno_t rnd_sequence(uint8_t *, size_t);
+extern int rnd_sequence(uint8_t *, size_t);
 extern uint8_t *min_sequence(uint8_t *, uint8_t *, size_t);
 extern uint8_t *max_sequence(uint8_t *, uint8_t *, size_t);
Index: uspace/lib/ieee80211/include/ieee80211_private.h
===================================================================
--- uspace/lib/ieee80211/include/ieee80211_private.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/ieee80211/include/ieee80211_private.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -410,8 +410,8 @@
 extern ieee80211_auth_phase_t ieee80211_get_auth_phase(ieee80211_dev_t *);
 extern void ieee80211_set_auth_phase(ieee80211_dev_t *, ieee80211_auth_phase_t);
-extern errno_t ieee80211_probe_request(ieee80211_dev_t *, char *);
-extern errno_t ieee80211_authenticate(ieee80211_dev_t *);
-extern errno_t ieee80211_associate(ieee80211_dev_t *, char *);
-extern errno_t ieee80211_deauthenticate(ieee80211_dev_t *);
+extern int ieee80211_probe_request(ieee80211_dev_t *, char *);
+extern int ieee80211_authenticate(ieee80211_dev_t *);
+extern int ieee80211_associate(ieee80211_dev_t *, char *);
+extern int ieee80211_deauthenticate(ieee80211_dev_t *);
 
 #endif
